import { select , arc } from 'd3';

const svg = select('svg');

const height = parseFloat(svg.attr('height'));
const width = +svg.attr('width');

const g = svg.append('g')
		.attr('transform', `translate(${width/2}, ${height/2})`);

const circle = g.append('circle')
    .attr('r', height/2)
    .attr('fill', '#F7E80F')
    .attr('stroke', 'grey');

const eyeSpacing = 100;
const eyeYOffset = - 70;
const eyeRadius = 35;
const eyebrowWidth = 70;
const eyebrowHeight = 20;
const eyebrowYOffset = - 60;

const eyesG = g.append('g')
		.attr('transform', `translate(0, ${eyeYOffset})`);

const leftEye = eyesG.append('circle')
      .attr('r', eyeRadius)
      .attr('cx', -eyeSpacing);

const rightEye = eyesG.append('circle')
      .attr('r', eyeRadius)
      .attr('cx', eyeSpacing);

const eyeBrowG = eyesG.append('g')
		.attr('transform', `translate(0, ${eyebrowYOffset})`);

eyeBrowG
		.transition().duration(2000)
			.attr('transform', `translate(0, ${eyebrowYOffset - 50})`)
		.transition().duration(2000)
			.attr('transform', `translate(0, ${eyebrowYOffset})`);

const leftEyebrow = eyeBrowG.append('rect')
      .attr('x', -eyeSpacing - eyebrowWidth/2)
      .attr('width', eyebrowWidth)
      .attr('height', eyebrowHeight);

const rightEyebrow = eyeBrowG.append('rect')
      .attr('x', eyeSpacing - eyebrowWidth/2)
      .attr('width', eyebrowWidth)
      .attr('height', eyebrowHeight);

const mouth = g.append('path')
		.attr('d', arc()({
      innerRadius: 0,
      outerRadius: 140,
      startAngle: Math.PI/2,
      endAngle: Math.PI * 3/2
}));

